Bug 229147 - ESS Technology ES1988 Allegro-1 (rev 12) (soundcard) doesn't wake up at suspend
ESS Technology ES1988 Allegro-1 (rev 12) (soundcard) doesn't wake up at suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-18 11:48 EST by Kyrre Ness Sjøbæk
Modified: 2008-05-01 19:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 19:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2007-02-18 11:48:26 EST
Description of problem:
I have a compaq EVO N600c laptop which has a ESS allegro integrated soundcard.
The laptop suspends very nicely, and with FC6 even the little volume-buttons in
the front of the laptop worked without any hitch (even after resume - i can see
it alters gnome's volume settings) (they didnt work with RH9, FC1,2,3,4), but
there is no sound.

I have tried to unload the modules, but there is always something that is using
them (i tried unloading the modules witch lsmod said was not in use by other
modules first etc.). Same error if i try to do it trough system-config-sound.

After resuming, gnome-volume-manager always says that the sound is muted.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2911.fc6

How reproducible:
Every time

Steps to Reproduce:
1.Suspend. Push the suspend button, give the appropriate console commands etc.
2.Resume. Open the computers lid etc.
3.Try to get it to make sound. Notice that it doesn't work.
  
Actual results:
Suspend kills sound

Expected results:
Soundcard wakes up

Additional info:
Comment 1 osoi 2007-02-28 15:10:21 EST
I am experiencing the same problem, but on different hardware. After waking up
from suspend there is no sound, but I have discovered that the sound returns
immediately if I adjust the master volume in Gnome Volume Applet.

I am running a fully updated FC6.
My computer is a Dell Inspiron 1300 laptop.
lspci returns the following information about the audio device: Intel
Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller
(rev 03)
Comment 2 Kyrre Ness Sjøbæk 2007-03-01 13:49:26 EST
Well, i can alter the volume settings (it comes out of suspend muted) (even
using the shiny little buttons in the front of the pc that never worked before!)
- but i cant make it produce any sound without rebooting.

Some module and HW info:
Module                  Size  Used by
fuse                   50261  2 
button                 10961  0 
vfat                   16833  0 
fat                    57693  1 vfat
sg                     38877  0 
usb_storage            74017  0 
rfcomm                 47065  2 
l2cap                  32065  5 rfcomm
bluetooth              62245  4 rfcomm,l2cap
sunrpc                166141  1 
ip_conntrack_netbios_ns     7105  0 
ipt_REJECT              8769  1 
xt_state                6337  2 
ip_conntrack           57209  2 ip_conntrack_netbios_ns,xt_state
nfnetlink              11353  1 ip_conntrack
iptable_filter          7233  1 
ip_tables              17541  1 iptable_filter
ip6t_REJECT             9665  1 
xt_tcpudp               7233  9 
ip6table_filter         6977  1 
ip6_tables             18693  1 ip6table_filter
x_tables               19909  6
ipt_REJECT,xt_state,ip_tables,ip6t_REJECT,xt_tcpudp,ip6_tables
dm_multipath           23241  0 
video                  21061  0 
sbs                    20097  0 
i2c_ec                  9281  1 sbs
i2c_core               26049  1 i2c_ec
dock                   12377  0 
battery                14533  0 
asus_acpi              20825  0 
ac                      9541  0 
radeon                117473  2 
drm                    80341  3 radeon
ipv6                  276481  17 ip6t_REJECT
lp                     16905  0 
joydev                 13697  0 
floppy                 61477  0 
snd_maestro3           30149  1 
snd_ac97_codec         99813  1 snd_maestro3
snd_ac97_bus            6593  1 snd_ac97_codec
snd_seq_dummy           8133  0 
snd_seq_oss            37057  0 
snd_seq_midi_event     11841  1 snd_seq_oss
snd_seq                57009  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         12365  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            46433  0 
snd_mixer_oss          20545  1 snd_pcm_oss
wlan_scan_sta          17664  1 
pcspkr                  7360  0 
ide_cd                 42593  0 
cdrom                  38753  1 ide_cd
ath_pci                97060  0 
ath_rate_sample        18304  1 ath_pci
wlan                  191708  4 wlan_scan_sta,ath_pci,ath_rate_sample
ath_hal               195792  3 ath_pci,ath_rate_sample
e100                   40009  0 
mii                     9665  1 e100
snd_pcm                80965  3 snd_maestro3,snd_ac97_codec,snd_pcm_oss
snd_timer              26693  2 snd_seq,snd_pcm
iTCO_wdt               14853  0 
snd_page_alloc         14281  1 snd_pcm
snd                    58181  11
snd_maestro3,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
intel_rng               9281  0 
parport_pc             31205  1 
irda                  131321  0 
parport                40841  2 lp,parport_pc
soundcore              12193  1 snd
crc_ccitt               6337  1 irda
serio_raw              11333  0 
dm_snapshot            22513  0 
dm_zero                 6337  0 
dm_mirror              26897  0 
dm_mod                 63321  9 dm_multipath,dm_snapshot,dm_zero,dm_mirror
ata_piix               20041  0 
libata                109272  1 ata_piix
sd_mod                 25025  0 
scsi_mod              141805  4 sg,usb_storage,libata,sd_mod
ext3                  136905  2 
jbd                    65001  1 ext3
ehci_hcd               35661  0 
ohci_hcd               25433  0 
uhci_hcd               28237  0 

00:00.0 Host bridge: Intel Corporation 82830 830 Chipset Host Bridge (rev 02)
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, fast devsel, latency 0
	Memory at 60000000 (32-bit, prefetchable) [size=256M]
	Capabilities: [40] Vendor Specific Information
	Capabilities: [a0] AGP version 2.0

00:01.0 PCI bridge: Intel Corporation 82830 830 Chipset AGP Bridge (rev 02)
(prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, fast devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: 40200000-402fffff
	Prefetchable memory behind bridge: 48000000-4fffffff

00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #1) (rev 01)
(prog-if 00 [UHCI])
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at 4000 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #2) (rev 01)
(prog-if 00 [UHCI])
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at 4020 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #3) (rev 01)
(prog-if 00 [UHCI])
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at 4040 [size=32]

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 41) (prog-if
00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=07, sec-latency=32
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: 40000000-401fffff
	Prefetchable memory behind bridge: 20000000-23ffffff

00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 01)
	Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 (rev 01) (prog-if 8a
[Master SecP PriP])
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at <unassigned>
	I/O ports at <unassigned>
	I/O ports at <unassigned>
	I/O ports at <unassigned>
	I/O ports at 4060 [size=16]
	Memory at 24000000 (32-bit, non-prefetchable) [size=1K]

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
(prog-if 00 [VGA])
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, stepping, 66MHz, medium devsel, latency 66, IRQ 11
	Memory at 48000000 (32-bit, prefetchable) [size=128M]
	I/O ports at 3000 [size=256]
	Memory at 40200000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at 40220000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2

02:03.0 CardBus bridge: Texas Instruments PCI1420
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 40000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=03, subordinate=03, sec-latency=176
	Memory window 0: 20000000-21fff000 (prefetchable)
	Memory window 1: 26000000-27fff000
	I/O window 0: 00002c00-00002cff
	I/O window 1: 00001400-000014ff
	16-bit legacy interface ports at 0001

02:03.1 CardBus bridge: Texas Instruments PCI1420
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 40080000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=04, subordinate=07, sec-latency=176
	Memory window 0: 22000000-23fff000 (prefetchable)
	Memory window 1: 28000000-29fff000
	I/O window 0: 00001800-000018ff
	I/O window 1: 00001c00-00001cff
	16-bit legacy interface ports at 0001

02:04.0 Communication controller: Agere Systems LT WinModem (rev 02)
	Subsystem: AMBIT Microsystem Corp. Evo N600c
	Flags: bus master, medium devsel, latency 66, IRQ 11
	Memory at 40180000 (32-bit, non-prefetchable) [size=256]
	I/O ports at 2840 [size=8]
	I/O ports at 2000 [size=256]
	Capabilities: [f8] Power Management version 2

02:08.0 Ethernet controller: Intel Corporation 82801CAM (ICH3) PRO/100 VM (KM)
Ethernet Controller (rev 41)
	Subsystem: Compaq Computer Corporation Evo N600c
	Flags: bus master, medium devsel, latency 66, IRQ 11
	Memory at 40100000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at 2800 [size=64]
	Capabilities: [dc] Power Management version 2

02:09.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1 (rev 12)
	Subsystem: Compaq Computer Corporation Unknown device 0094
	Flags: bus master, medium devsel, latency 64, IRQ 11
	I/O ports at 2400 [size=256]
	Capabilities: [c0] Power Management version 2

03:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC
(rev 01)
	Subsystem: 3Com Corporation Unknown device 6801
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 26000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [44] Power Management version 2
Comment 3 Brad Smith 2007-04-21 09:41:40 EDT
I am seeing the same thing with the following hardware:

system: 
  IBM Thinkpad T30

kernel: 
  2.6.20-1.2944.fc6

sound card:
  00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio   
  Controller (rev 02)

Sound works fine after boot, but after the first suspend all volume indicators
show normal, and visualizers look like sound is playing, but no sound in
produced by the speakers. This problem has persisted for several kernel versions
now, but was not the case earlier in FC6.

If anyone is in the Westford RH office and wants to see this first-hand, I'll
gladly lend out my laptop for a day if it means getting this fixed.
Comment 4 Chuck Ebbert 2007-04-23 11:42:26 EDT
A patch for this is in the upstream kernel as of March 15.
It will be in the next Fedora kernel update.
Comment 5 Chuck Ebbert 2007-04-23 12:55:33 EDT
This next update will only fix the Intel 8xx driver.
The Intel bug seems to be the same as #155705....
Comment 6 Bug Zapper 2008-04-04 02:17:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Kyrre Ness Sjøbæk 2008-04-15 15:51:28 EDT
Unfortunatly this laptop is broken, so I can't test. Sorry.
Comment 8 John Poelstra 2008-05-01 19:07:18 EDT
Thanks for your update

Note You need to log in before you can comment on or make changes to this bug.